Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMacroTetraNucleon.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMacroTetraNucleon.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMacroTetraNucleon.hh	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroTetraNucleon.hh,v 1.4 2008/10/24 23:03:23 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMacroTriNucleon.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMacroTriNucleon.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMacroTriNucleon.hh	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroTriNucleon.hh,v 1.4 2008/10/24 23:01:32 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMicroCanonical.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMicroCanonical.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMicroCanonical.hh	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMicroCanonical.hh,v 1.3 2006/06/29 20:24:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMicroManager.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMicroManager.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMicroManager.hh	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMicroManager.hh,v 1.3 2006/06/29 20:24:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMicroPartition.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMicroPartition.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFMicroPartition.hh	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMicroPartition.hh,v 1.3 2006/06/29 20:24:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFParameters.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFParameters.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4StatMFParameters.hh	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFParameters.hh,v 1.3 2006/06/29 20:24:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VMultiFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VMultiFragmentation.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VMultiFragmentation.hh	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VMultiFragmentation.hh,v 1.3 2006/06/29 20:24:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFEnsemble.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFEnsemble.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFEnsemble.hh	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStatMFEnsemble.hh,v 1.3 2006/06/29 20:24:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFMacroCluster.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFMacroCluster.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/include/G4VStatMFMacroCluster.hh	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStatMFMacroCluster.hh,v 1.5 2006/08/19 19:55:09 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4Solver.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4Solver.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4Solver.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Solver.cc,v 1.4 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMF.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMF.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMF.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMF.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFChannel.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFChannel.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFChannel.cc,v 1.10 2008/11/19 14:33:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFFragment.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFFragment.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFFragment.cc,v 1.7 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroBiNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroBiNucleon.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroBiNucleon.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroBiNucleon.cc,v 1.7 2008/10/24 22:56:42 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroCanonical.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroCanonical.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroCanonical.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroCanonical.cc,v 1.8 2008/11/19 14:33:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroChemicalPotential.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroChemicalPotential.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroChemicalPotential.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroChemicalPotential.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiNucleon.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiNucleon.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroMultiNucleon.cc,v 1.7 2008/11/19 14:33:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiplicity.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiplicity.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroMultiplicity.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroMultiplicity.cc,v 1.7 2008/11/19 14:33:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroNucleon.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroNucleon.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroNucleon.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTemperature.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTemperature.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTemperature.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroTemperature.cc,v 1.8 2010/04/16 17:04:08 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTetraNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTetraNucleon.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTetraNucleon.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroTetraNucleon.cc,v 1.7 2008/10/24 22:57:07 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTriNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTriNucleon.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMacroTriNucleon.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMacroTriNucleon.cc,v 1.7 2008/10/24 22:57:24 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroCanonical.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroCanonical.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroCanonical.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMicroCanonical.cc,v 1.7 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroManager.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroManager.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroManager.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMicroManager.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroPartition.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroPartition.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFMicroPartition.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFMicroPartition.cc,v 1.8 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFParameters.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFParameters.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4StatMFParameters.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StatMFParameters.cc,v 1.5 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VMultiFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VMultiFragmentation.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VMultiFragmentation.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VMultiFragmentation.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFEnsemble.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFEnsemble.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFEnsemble.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStatMFEnsemble.cc,v 1.6 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFMacroCluster.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFMacroCluster.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/multifragmentation/src/G4VStatMFMacroCluster.cc	(revision 1340)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStatMFMacroCluster.cc,v 1.5 2008/07/25 11:20:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4ContinuumGammaDeexcitation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4ContinuumGammaDeexcitation.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4ContinuumGammaDeexcitation.hh	(revision 1340)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ContinuumGammaDeexcitation.hh,v 1.4 2010/04/25 18:43:21 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4DiscreteGammaDeexcitation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4DiscreteGammaDeexcitation.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4DiscreteGammaDeexcitation.hh	(revision 1340)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DiscreteGammaDeexcitation.hh,v 1.4 2010/04/25 18:43:21 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4DiscreteGammaTransition.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4DiscreteGammaTransition.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4DiscreteGammaTransition.hh	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4DiscreteGammaTransition.hh,v 1.4 2010/04/25 18:43:21 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4DiscreteGammaTransition.hh,v 1.5 2010/10/07 12:31:00 mkelsey Exp $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // -------------------------------------------------------------------
@@ -60,4 +60,6 @@
 //              gamma energies and level energy differences (fake photons eliminated) 
 //   
+//	  6 October 2010, M. Kelsey
+//		Store NuclearLevel as const-reference, not as copied value.
 // -------------------------------------------------------------------
 
@@ -67,8 +69,9 @@
 #include "globals.hh"
 #include "G4VGammaTransition.hh"
-#include "G4NuclearLevel.hh"
 
+class G4NuclearLevel;
 //JMQ 180410
 class G4NuclearLevelManager;
+
 
 class G4DiscreteGammaTransition : public G4VGammaTransition
@@ -108,5 +111,5 @@
 
   G4double _gammaEnergy;
-  G4NuclearLevel _level;     
+  const G4NuclearLevel& _level;     
   G4double _excitation;
   G4double _gammaCreationTime;
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4E1Probability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4E1Probability.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4E1Probability.hh	(revision 1340)
@@ -25,5 +25,5 @@
 //
 // $Id: G4E1Probability.hh,v 1.5 2010/05/19 10:21:44 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 //---------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NeutronRadCapture.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NeutronRadCapture.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NeutronRadCapture.hh	(revision 1340)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronRadCapture.hh,v 1.1 2009/08/31 13:52:42 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 //
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NuclearLevel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NuclearLevel.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NuclearLevel.hh	(revision 1340)
@@ -24,4 +24,5 @@
 // ********************************************************************
 //
+// $Id: G4NuclearLevel.hh,v 1.4 2010/10/07 07:50:13 mkelsey Exp $
 // -------------------------------------------------------------------
 //      GEANT 4 class file 
@@ -37,5 +38,9 @@
 //      Creation date: 25 October 1998
 //
-//      Modifications: 
+//      Modifications:
+//	  06 Oct 2010, M. Kelsey (kelsey@slac.stanford.edu)
+//		Add friendship for G4NuclearLevelManager; define private
+//		constructors without vectors.
+//
 //        21 Nov. 2001, Fan Lei (flei@space.qinetiq.com)
 //              Added K->N+ internal  conversion coefficiencies and their access
@@ -59,5 +64,4 @@
 
 public:
-
   G4NuclearLevel(const G4double energy, const G4double halfLife,
 		 const G4double angularMomentum, const std::vector<double>& eGamma,
@@ -155,7 +159,13 @@
 
 private:  
-
-  G4NuclearLevel() {G4cout << "Calling default constructor"<<G4endl;};
-      
+  friend class G4NuclearLevelManager;
+
+  G4NuclearLevel();
+
+  G4NuclearLevel(const G4double energy, const G4double halfLife,
+		 const G4double angularMomentum);
+
+  void Finalize();
+
   void MakeProbabilities();
   void MakeCumProb();
@@ -184,6 +194,4 @@
   G4double _angularMomentum;
   G4int _nGammas;
-  
-
 };
 
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NuclearLevelManager.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NuclearLevelManager.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NuclearLevelManager.hh	(revision 1340)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-//
+// $Id: G4NuclearLevelManager.hh,v 1.5 2010/10/10 23:01:39 mkelsey Exp $
 // -------------------------------------------------------------------
 //      GEANT 4 class file 
@@ -46,5 +46,6 @@
 //              reading from experimental data. 
 //        02 May 2003,   Vladimir Ivanchenko remove rublic copy contructor
-//      
+//        06 Oct 2010, M. Kelsey -- Use object storage, not pointers, drop
+//		public access to list
 // -------------------------------------------------------------------
 
@@ -54,7 +55,8 @@
 #include "globals.hh"
 #include "G4PtrLevelVector.hh"
-#include "G4NuclearLevel.hh"
-#include "G4ios.hh"
-#include <fstream>
+#include <iosfwd>
+
+class G4NuclearLevel;
+
 
 class G4NuclearLevelManager 
@@ -71,11 +73,12 @@
   void SetNucleus(const G4int Z, const G4int A, const G4String& filename);
 
-  G4bool IsValid() const;
+  G4bool IsValid() const { return _validity; }
 
-  G4int NumberOfLevels() const;
+  G4int NumberOfLevels() const { return (_levels ? _levels->size() : 0); }
 
-  const G4PtrLevelVector* GetLevels() const;
+  const G4NuclearLevel* GetLevel(G4int i) const;
 
-  const G4NuclearLevel* NearestLevel(const G4double energy, const G4double eDiffMax=9999.*GeV) const;
+  const G4NuclearLevel* NearestLevel(const G4double energy,
+				     const G4double eDiffMax=9999.*GeV) const;
 
   const G4NuclearLevel* LowestLevel() const;
@@ -88,5 +91,4 @@
   
 private:  
-
   const G4NuclearLevelManager& operator=(const G4NuclearLevelManager &right);
   G4bool operator==(const G4NuclearLevelManager &right) const;
@@ -94,6 +96,14 @@
 
   G4bool Read(std::ifstream& aDataFile);
- 
+  G4bool ReadDataLine(std::ifstream& dataFile);
+  G4bool ReadDataItem(std::istream& dataFile, G4double& x);
+  void ProcessDataLine();
+
   void MakeLevels();
+  void ClearLevels();
+
+  G4NuclearLevel* UseLevelOrMakeNew(G4NuclearLevel* level);
+  void AddDataToLevel(G4NuclearLevel* level);
+  void FinishLevel(G4NuclearLevel* level);
 
   G4int _nucleusA;
@@ -102,5 +112,7 @@
   G4bool _validity;
   G4PtrLevelVector* _levels;
-  
+
+  // Buffers for reading data file
+  char buffer[30];		// For doubles in scientific notation
   G4double _levelEnergy;
   G4double _gammaEnergy;
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NuclearLevelStore.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NuclearLevelStore.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4NuclearLevelStore.hh	(revision 1340)
@@ -24,5 +24,8 @@
 // ********************************************************************
 //
+// $Id: G4NuclearLevelStore.hh,v 1.3 2010/10/07 07:50:13 mkelsey Exp $
 //
+// 20101004  M. Kelsey -- Replace G4String keys with integers (ZZZAAA),
+//		move string operation to GenerateFilename()
 
 #ifndef G4NuclearLevelStore_hh 
@@ -30,4 +33,5 @@
 
 #include "G4NuclearLevelManager.hh"
+#include "G4String.hh"
 #include <map>
 
@@ -38,20 +42,18 @@
 
 public:
-
   static G4NuclearLevelStore* GetInstance();
 
-  G4NuclearLevelManager * GetManager(const G4int Z, const G4int A);
-
-
+  G4NuclearLevelManager* GetManager(const G4int Z, const G4int A);
   ~G4NuclearLevelStore();
 
 private:
+  G4int GenerateKey(const G4int Z, const G4int A) const { return Z*1000+A; }
 
-  G4String GenerateKey(const G4int Z, const G4int A);
+  G4String GenerateFilename(const G4int Z, const G4int A) const;
 
+  typedef std::map<G4int,G4NuclearLevelManager*> ManagersMap;
 
-  static std::map<G4String,G4NuclearLevelManager*> theManagers;
-  static G4String dirName;
-
+  ManagersMap theManagers;
+  G4String dirName;
 };
 #endif
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4PhotonEvaporation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4PhotonEvaporation.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4PhotonEvaporation.hh	(revision 1340)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PhotonEvaporation.hh,v 1.7 2010/05/11 11:22:14 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4VGammaDeexcitation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4VGammaDeexcitation.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4VGammaDeexcitation.hh	(revision 1340)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VGammaDeexcitation.hh,v 1.8 2010/04/28 14:22:40 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4VPhotonEvaporation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4VPhotonEvaporation.hh	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/include/G4VPhotonEvaporation.hh	(revision 1340)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VPhotonEvaporation.hh,v 1.3 2010/04/25 18:43:21 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/src/G4ContinuumGammaDeexcitation.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/src/G4ContinuumGammaDeexcitation.cc	(revision 1337)
+++ trunk/source/processes/hadronic/models/de_excitation/photon_evaporation/src/G4ContinuumGammaDeexcitation.cc	(revision 1340)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ContinuumGammaDeexcitation.cc,v 1.7 2010/04/30 16:08:03 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-03-ref-09 $
 //
 // -------------------------------------------------------------------
